> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Journal Entry

> 
        Retrieve a specific journal entry by ID with all transaction details.

        **Response includes:**
        - Complete journal entry with all transactions
        - Account names, numbers, and types
        - Vendor and department information
        - Tag associations with groups
        - Exchange rate data for multi-currency entries
        - Attachment information
        - Reversal information if applicable
        



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/journal_entry/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/journal_entry/{id}:
    get:
      tags:
        - Core Accounting
      summary: Retrieve Journal Entry
      description: |2-

                Retrieve a specific journal entry by ID with all transaction details.

                **Response includes:**
                - Complete journal entry with all transactions
                - Account names, numbers, and types
                - Vendor and department information
                - Tag associations with groups
                - Exchange rate data for multi-currency entries
                - Attachment information
                - Reversal information if applicable
                
      operationId: coa_api_journal_entry_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JournalEntry'
              examples:
                RetrieveJournalEntryResponse:
                  value:
                    id: 7491945
                    transactions:
                      - id: 24429462
                        entity_name: Top Level
                        entity_currency: USD
                        account_name: 1000 - Cash and Cash Equivalents
                        account_number: '1000'
                        tags: []
                        journal: 7491945
                        journal_order: '0004358'
                        journal_memo: Test Journal Memo
                        journal_type: journal_entry
                        intercompany_journal: null
                        created_automatically: false
                        journal_attachments: []
                        journal_type_name: Journal Entry
                        invoice: null
                        bill: null
                        date_month: '07'
                        date_year: '2025'
                        balance_after_transaction: 12345.67
                        account: 180564
                        last_modified_by_name: API User
                        account_type: ASSET
                        files: []
                        file_names: []
                        amount: 12345.67
                        amount_native: 12345.67
                        amount_book: 12345.67
                        amortization_schedule: []
                        transaction_id: 285b736b-5dd4-4cd3-9c46-683bd1972042
                        debit_amount: 12345.67
                        credit_amount: null
                        debit_amount_book: 12345.67
                        credit_amount_book: null
                        debit_amount_native: 12345.67
                        credit_amount_native: null
                        currency: USD
                        exchange_rate: 1
                        exchange_rate_book: 1
                        posted_at: '2025-07-31'
                        merchant_name: null
                        bank_description: Test Line Description
                        note: null
                        balance_before_transaction: null
                        created_at: 2025-07-25T00:01:28+0000
                        external_id: null
                        needs_review: false
                        last_modified_at: 2025-07-25T00:01:28+0000
                        draft_matches: null
                        entity: 54
                        parent_bank_transaction: null
                        vendor: null
                        department: null
                        last_modified_by: 904
                      - id: 24429463
                        entity_name: Top Level
                        entity_currency: USD
                        account_name: 1600 - Fixed Assets
                        account_number: '1600'
                        vendor_name: ABC Bead Supply
                        department_name: Engineering
                        parent_department_name: R&D
                        parent_department: 2127
                        tags:
                          - id: 8360
                            group_name: Entity Type
                            parent_name: null
                            parent: null
                            name: Operational Companies
                            created_at: 2025-07-18T15:23:56+0000
                            last_modified_at: 2025-07-18T15:23:56+0000
                            group: 760
                        journal: 7491945
                        journal_order: '0004358'
                        journal_memo: Test Journal Memo
                        journal_type: journal_entry
                        intercompany_journal: null
                        created_automatically: false
                        journal_attachments: []
                        journal_type_name: Journal Entry
                        invoice: null
                        bill: null
                        date_month: '07'
                        date_year: '2025'
                        balance_after_transaction: -12345.67
                        account: 2563
                        last_modified_by_name: API User
                        account_type: ASSET
                        files: []
                        file_names: []
                        amount: 12345.67
                        amount_native: 12345.67
                        amount_book: 12345.67
                        amortization_schedule: []
                        transaction_id: a8002c20-549e-4bc6-969e-dbc2288f45ba
                        debit_amount: null
                        credit_amount: 12345.67
                        debit_amount_book: null
                        credit_amount_book: 12345.67
                        debit_amount_native: null
                        credit_amount_native: 12345.67
                        currency: USD
                        exchange_rate: 1
                        exchange_rate_book: 1
                        posted_at: '2025-07-31'
                        merchant_name: null
                        bank_description: Test Line Description
                        note: null
                        balance_before_transaction: null
                        created_at: 2025-07-25T00:01:28+0000
                        external_id: null
                        needs_review: false
                        last_modified_at: 2025-07-25T00:01:28+0000
                        draft_matches: null
                        entity: 54
                        parent_bank_transaction: null
                        vendor: 34182
                        department: 35
                        last_modified_by: 904
                    attachments: []
                    invoice: null
                    reversals: []
                    entity_name: Top Level
                    entity_currency: USD
                    order: '0004358'
                    revenue_transactions: []
                    search_vector: '''0004358'':1A ''07'':3C ''2025'':2C ''31'':4C'
                    search_text: ' 0004358'
                    type: journal_entry
                    journal_id: 5be022f1-77df-4cc7-977d-1c3d7d5828c8
                    memo: Test Journal Memo
                    currency: USD
                    exchange_rate: 1
                    exchange_rate_book: 1
                    created_automatically: false
                    date: '2025-07-31'
                    ref_number: null
                    created_at: 2025-07-25T00:01:28+0000
                    source: manual
                    source_id: null
                    last_modified_at: 2025-07-25T00:01:28+0000
                    recurrent_journal_entry: null
                    entity: 54
                    reversal_of: null
                    intercompany_journal: null
                    source_file: null
                    chat: null
                  summary: Complete journal entry with all transaction details
                  description: Example response showing a journal entry retrieved by ID
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    JournalEntry:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/ChartTransaction'
          readOnly: true
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/File'
          readOnly: true
        invoice:
          type: integer
          nullable: true
          readOnly: true
        reversal_of_order:
          type: string
          readOnly: true
        reversals:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        reversal_date:
          type: string
          format: date
          writeOnly: true
        entity_name:
          type: string
          readOnly: true
        entity_currency:
          type: string
          readOnly: true
        order:
          type: string
        revenue_transactions:
          type: array
          items:
            type: integer
          writeOnly: true
        bulk_upload:
          type: boolean
          writeOnly: true
        chat_uuid:
          type: string
          format: uuid
          writeOnly: true
        close_task_id:
          type: string
        update_reversal:
          type: boolean
          writeOnly: true
          default: false
        credit_memos:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        debit_memos:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        journals_to_delete:
          type: array
          items:
            type: integer
          writeOnly: true
        ramp_use_sandbox:
          type: string
          readOnly: true
        search_vector:
          type: string
          readOnly: true
          nullable: true
        search_text:
          type: string
          readOnly: true
          nullable: true
        type:
          $ref: '#/components/schemas/TypeF19Enum'
        journal_id:
          type: string
          format: uuid
        memo:
          type: string
          nullable: true
        currency:
          type: string
          maxLength: 3
        exchange_rate:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        exchange_rate_book:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        use_average_rate:
          type: boolean
          nullable: true
        created_automatically:
          type: boolean
        date:
          type: string
          format: date
        ref_number:
          type: string
          nullable: true
          maxLength: 100
        created_at:
          type: string
          format: date-time
          readOnly: true
        source:
          type: string
          nullable: true
          maxLength: 250
        source_id:
          type: string
          nullable: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        recurrent_journal_entry:
          type: integer
          nullable: true
        entity:
          type: integer
          nullable: true
        reversal_of:
          type: integer
          nullable: true
        intercompany_journal:
          type: integer
          nullable: true
        source_file:
          type: integer
          nullable: true
        chat:
          type: integer
          nullable: true
      required:
        - attachments
        - created_at
        - credit_memos
        - customer
        - debit_memos
        - deleted_at
        - entity_currency
        - entity_name
        - id
        - invoice
        - is_deleted
        - last_modified_at
        - ramp_use_sandbox
        - reversal_of_order
        - reversals
        - search_text
        - search_vector
        - transactions
    ChartTransaction:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        entity_name:
          type: string
          readOnly: true
        entity_currency:
          type: string
          readOnly: true
        account_name:
          type: string
          nullable: true
          description: Combines account number and name in the format "number - name"
          readOnly: true
        account_number:
          type: string
          readOnly: true
        vendor_name:
          type: string
          readOnly: true
        vendor_id:
          type: string
          readOnly: true
        department_name:
          type: string
          readOnly: true
        department_code:
          type: string
          readOnly: true
        parent_department_name:
          type: string
          readOnly: true
        parent_department:
          type: integer
          readOnly: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TransactionTag'
          readOnly: true
        journal:
          type: integer
          readOnly: true
        journal_order:
          type: string
          readOnly: true
        journal_memo:
          type: string
          readOnly: true
        journal_type:
          type: string
          readOnly: true
        intercompany_journal:
          type: integer
          readOnly: true
        created_automatically:
          type: boolean
          readOnly: true
        journal_attachments:
          type: array
          items:
            $ref: '#/components/schemas/File'
          readOnly: true
        journal_type_name:
          type: string
          readOnly: true
          nullable: true
        invoice:
          type: string
          readOnly: true
          nullable: true
        bill:
          type: string
          readOnly: true
          nullable: true
        date_month:
          type: string
          readOnly: true
          nullable: true
        date_year:
          type: string
          readOnly: true
          nullable: true
        balance_after_transaction:
          type: number
          format: double
          readOnly: true
        bank_account:
          type: string
          readOnly: true
        bank_account_name:
          type: string
          readOnly: true
        account:
          type: integer
          nullable: true
        last_modified_by_name:
          type: string
          readOnly: true
        account_type:
          type: string
          readOnly: true
        account_subtype:
          type: string
          readOnly: true
        parent_account_name:
          type: string
          readOnly: true
        files:
          type: string
          readOnly: true
        invoice_id:
          type: integer
          nullable: true
          readOnly: true
        invoice_number:
          type: string
          readOnly: true
          nullable: true
        bill_id:
          type: integer
          nullable: true
          readOnly: true
        bill_number:
          type: string
          readOnly: true
          nullable: true
        file_names:
          type: string
          readOnly: true
        has_matches:
          type: boolean
          readOnly: true
        has_ai:
          type: boolean
          readOnly: true
        has_rules:
          type: boolean
          readOnly: true
        has_merges:
          type: boolean
          readOnly: true
        has_fixed_asset_rule_matches:
          type: boolean
          readOnly: true
        primary_action_type:
          type: string
          readOnly: true
        suggested_account:
          type: integer
          nullable: true
          readOnly: true
        suggested_account_name:
          type: string
          readOnly: true
          nullable: true
        suggested_account_number:
          type: string
          readOnly: true
          nullable: true
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        amortization_schedule:
          type: array
          items:
            $ref: '#/components/schemas/AmortizationSchedule'
          readOnly: true
        linked_amortizations:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
        created_fixed_assets:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: >-
            Return all fixed assets this transaction is linked to — via the
            legacy

            `purchase_transaction` FK (reverse: `created_fixed_assets`) AND the

            new `purchase_transactions` M2M (reverse: `linked_fixed_assets`).

            Dual-write keeps the FK target in the M2M, but using both covers any

            pre-backfill drift and surfaces non-primary M2M-only links (e.g. the

            secondary txns in a multi-txn fixed asset, or a split-resized txn).
          readOnly: true
        reconciliation_report:
          type: string
          readOnly: true
        opposing_account_name:
          type: string
          readOnly: true
        opposing_account_number:
          type: string
          readOnly: true
        tax_rate:
          type: integer
          writeOnly: true
          nullable: true
        apply_both_sides:
          type: boolean
          writeOnly: true
          default: false
        transaction_match_id:
          type: integer
          writeOnly: true
          nullable: true
        transaction_id:
          type: string
          format: uuid
          readOnly: true
        debit_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        debit_amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        debit_amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        currency:
          type: string
          maxLength: 3
        exchange_rate:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        exchange_rate_book:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        posted_at:
          type: string
          format: date
          nullable: true
          title: Posted Date
        merchant_name:
          type: string
          nullable: true
        bank_description:
          type: string
          nullable: true
        tag_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        tag_group_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        note:
          type: string
          nullable: true
        receipt_url:
          type: string
          format: uri
          nullable: true
          maxLength: 512
        balance_before_transaction:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        external_id:
          type: string
          nullable: true
        needs_review:
          type: boolean
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        draft_matches:
          nullable: true
        last_lam_prediction_attempt:
          type: string
          format: date-time
          nullable: true
        customer:
          type: integer
          readOnly: true
        entity:
          type: integer
        parent_bank_transaction:
          type: integer
          nullable: true
        vendor:
          type: integer
          nullable: true
        department:
          type: integer
          nullable: true
        last_modified_by:
          type: integer
          nullable: true
      required:
        - account_name
        - account_number
        - account_subtype
        - account_type
        - amortization_schedule
        - amount
        - amount_book
        - amount_native
        - balance_after_transaction
        - balance_before_transaction
        - bank_account
        - bank_account_name
        - bill
        - bill_id
        - bill_number
        - created_at
        - created_automatically
        - created_fixed_assets
        - customer
        - date_month
        - date_year
        - deleted_at
        - department_code
        - department_name
        - entity
        - entity_currency
        - entity_name
        - file_names
        - files
        - has_ai
        - has_fixed_asset_rule_matches
        - has_matches
        - has_merges
        - has_rules
        - id
        - intercompany_journal
        - invoice
        - invoice_id
        - invoice_number
        - is_deleted
        - journal
        - journal_attachments
        - journal_memo
        - journal_order
        - journal_type
        - journal_type_name
        - last_modified_at
        - last_modified_by_name
        - linked_amortizations
        - opposing_account_name
        - opposing_account_number
        - parent_account_name
        - parent_department
        - parent_department_name
        - primary_action_type
        - reconciliation_report
        - suggested_account
        - suggested_account_name
        - suggested_account_number
        - tags
        - transaction_id
        - vendor_id
        - vendor_name
    File:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        customer:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        created_by:
          type: integer
          nullable: true
          readOnly: true
        created_by_name:
          type: string
          readOnly: true
        created_by_email:
          type: string
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        name:
          type: string
        url:
          type: string
          readOnly: true
        s3_content_type:
          type: string
          nullable: true
        s3_content_length:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        s3_path:
          type: string
        object_id:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        app:
          type: string
          readOnly: true
        model:
          type: string
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - app
        - created_at
        - created_by
        - created_by_email
        - created_by_name
        - customer
        - deleted_at
        - id
        - is_deleted
        - last_modified_at
        - model
        - name
        - s3_path
        - url
    TypeF19Enum:
      enum:
        - bill
        - bill_payment
        - bill_prepayment
        - check
        - credit_card
        - credit_memo
        - credit_memo_payment
        - debit_memo
        - debit_memo_payment
        - deposit
        - expense
        - invoice
        - intercompany_journal
        - invoice_payment
        - journal_entry
        - lease
        - payment
        - receive_payment
        - refund
        - revenue_recognition
        - sales_receipt
        - transfer
        - vendor_credit
        - void_bill
        - void_bill_payment
        - void_invoice_payment
        - void_credit_memo
        - void_credit_memo_payment
        - void_debit_memo_payment
        - void_invoice
        - elimination
        - revaluation
        - asset_reclassification
      type: string
      description: |-
        * `bill` - Bill
        * `bill_payment` - Bill Payment
        * `bill_prepayment` - Bill Prepayment
        * `check` - Check
        * `credit_card` - Credit Card
        * `credit_memo` - Credit Memo
        * `credit_memo_payment` - Credit Memo Payment
        * `debit_memo` - Debit Memo
        * `debit_memo_payment` - Debit Memo Payment
        * `deposit` - Deposit
        * `expense` - Expense
        * `invoice` - Invoice
        * `intercompany_journal` - Intercompany Journal
        * `invoice_payment` - Invoice Payment
        * `journal_entry` - Journal Entry
        * `lease` - Lease
        * `payment` - Payment
        * `receive_payment` - Receive Payment
        * `refund` - Refund
        * `revenue_recognition` - Revenue Recognition
        * `sales_receipt` - Sales Receipt
        * `transfer` - Transfer
        * `vendor_credit` - Vendor Credit
        * `void_bill` - Void Bill
        * `void_bill_payment` - Void Bill Payment
        * `void_invoice_payment` - Void Invoice Payment
        * `void_credit_memo` - Void Credit Memo
        * `void_credit_memo_payment` - Void Credit Memo Payment
        * `void_debit_memo_payment` - Void Debit Memo Payment
        * `void_invoice` - Void Invoice
        * `elimination` - Elimination
        * `revaluation` - Revaluation
        * `asset_reclassification` - Asset Reclassification
    TransactionTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group_name:
          type: string
          readOnly: true
        parent_name:
          type: string
          readOnly: true
          nullable: true
        parent:
          type: integer
          nullable: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        is_active:
          type: boolean
          default: true
        name:
          type: string
          nullable: true
          maxLength: 250
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
      required:
        - created_at
        - customer
        - deleted_at
        - group_name
        - id
        - is_deleted
        - last_modified_at
        - name
        - parent_name
    AmortizationSchedule:
      type: object
      properties:
        id:
          type: integer
        amortization:
          type: integer
          writeOnly: true
        accounting_amortization:
          type: integer
          writeOnly: true
        journal_entry_order:
          type: string
          readOnly: true
        date:
          type: string
          format: date
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        posted:
          type: boolean
        customer:
          type: integer
          readOnly: true
        transaction:
          type: integer
          nullable: true
        bill_line:
          type: integer
          nullable: true
        journal_entry:
          type: integer
          nullable: true
      required:
        - amount
        - customer
        - date
        - journal_entry_order
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````